# File: non_class_file.coffee

Defined in: | node_modules/grunt-codo/node_modules/codo/spec/_templates/files

## Variables Summary

GREETING =

      'Hay'

  The greeting

FOO =

      'Foo constant!'

  Hey, check this out!

## Method Summary

- ~ (void) hello(name) Says hello to a person
- ~ (void) bye(name) Says bye to a person
- ~ (void) sayHi(hi) Say hi to a person
- ~ (void) foo(foos) A fooer for fooing foos.

## Method Details

~ (void) hello(name)

Says hello to a person

### Parameters:

- name ( `String` ) — the name of the person

~ (void) bye(name)

Says bye to a person

### Parameters:

- name ( `String` ) — the name of the person

~ (void) sayHi(hi)

Say hi to a person

### Parameters:

- name ( `String` ) — the name of the person

~ (void) foo(foos)

Note: Foo

A fooer for fooing foos.

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input